## phpqladmin 2.0.19-1

=== Makefile ===
# Nothing for you here! This is simply for me, so that I'll can do some
# general CVS stuff easily.
#

DATE    := $(shell date +"%b %e %Y")
TMPDIR  := $(shell tempfile)
VERSION := $(shell cat .version | sed 's@\ .*@@')
INSTDIR := $(TMPDIR)/phpQLAdmin-$(VERSION)
DESTDIR := $(TMPDIR)/phpqladmin-$(VERSION)

# Make a unified diff over the changes from the last version...
diff:
	@(VERSION=`cat .version.old`; \
	  MAJOR=`expr substr $$VERSION 1 1`; \
	  MINOR=`expr substr $$VERSION 3 1`; \
	  LEVEL=`expr substr $$VERSION 5 2`; \
	  TAG="REL_`echo $$MAJOR`_`echo $$MINOR`_`echo $$LEVEL`"; \
	  echo cvs rdiff: $$TAG; \
	  cvs rdiff -ur $$TAG phpQLAdmin; \
	)

tag:
	@(VERSION=`cat .version | sed 's@ .*@@'`; \
	  MAJOR=`expr substr $$VERSION 1 1`; \
	  MINOR=`expr substr $$VERSION 3 1`; \
	  LEVEL=`expr substr $$VERSION 5 2`; \
	  OLDLV=`expr $$LEVEL - 1`; \
	  echo "$$MAJOR.$$MINOR.$$OLDLV" > .version.old; \
	  echo "$$MAJOR.$$MINOR.$$LEVEL" > .version; \
	  echo -n "We are now at version "; \
	  cat  < .version; \
	  TAG="REL_`echo $$MAJOR`_`echo $$MINOR`_`echo $$LEVEL`"; \
	  echo -n $(TAG) > .tag; \
	  echo cvs tag: $$TAG; \
	  cvs commit -m "New release - $$MAJOR.$$MINOR.$$LEVEL." \
		.version .version.old CHANGES; \
	  cvs tag -RF $$TAG; \
	)

install: $(INSTDIR)
	@(echo -n "Instdir:   $(INSTDIR): "; find | cpio -p $(INSTDIR))

tarball: install
	@(rm -Rf $(INSTDIR)/Makefile $(INSTDIR)/.version.old \
		$(INSTDIR)/manual $(INSTDIR)/include/config.inc \
		$(INSTDIR)/phpQLadmin.log $(INSTDIR)/README.Monitor \
		$(INSTDIR)/.DEBUG_ME; \
	  cd $(INSTDIR) && find -type d -name CVS -o -name '.cvsignore' -o -name '*~' | \
		xargs rm -rf; \
	  echo -n "Tarball 1: $(TMPDIR)/phpQLAdmin-$(VERSION).tar.gz: "; \
	  cd $(TMPDIR) && tar -cz --exclude=README.cvs -f phpQLAdmin-$(VERSION).tar.gz phpQLAdmin-$(VERSION); \
	  echo "done."; \
	  echo -n "Tarball 2: $(TMPDIR)/phpQLAdmin-$(VERSION).tar.bz2: "; \
	  cd $(TMPDIR) && tar -cj --exclude=README.cvs --exclude=debian \
		-f phpQLAdmin-$(VERSION).tar.bz2 phpQLAdmin-$(VERSION); \
	  echo "done.")

debian: install
	@(mv $(INSTDIR) $(DESTDIR); \
	  cd $(DESTDIR); \
	  debuild; \
	  echo "Files is in: "$(DESTDIR))

release: changes tag tarball debian
	@(mv -v $(TMPDIR)/phpQLAdmin-$(VERSION).tar.gz /var/www/phpqladmin/; \
	  mv -v $(TMPDIR)/phpQLAdmin-$(VERSION).tar.bz2 /var/www/phpqladmin/; \
	  cat /var/www/phpqladmin/index.html.in | \
		sed -e "s@%VERSION%@$(VERSION)@g" -e "s@%CVSTAG%@`cat .tag`@g" \
		> /var/www/phpqladmin/index.html.out; \
	  mv /var/www/phpqladmin/index.html.out /var/www/phpqladmin/index.html; \
	  cp -v CHANGES /var/www/phpqladmin/CHANGES.txt; \
	  cp -v $(DESTDIR)/../*.deb /var/www/phpqladmin; \
	  rm .tag)

$(INSTDIR):
	@rm -f $(TMPDIR) && mkdir -p $(INSTDIR)

changes:
	@( \
	  echo "Date: $(DATE)"; \
	  cat CHANGES | sed "s@TO BE ANNOUNCED@Release \($(DATE)\)@" > CHANGES.new; \
	  mv CHANGES.new CHANGES; \
	)

## phpqladmin 2.0.18c-1

=== debian/changelog ===
phpqladmin (2.0.18c-1) unstable; urgency=low

  * Add uidNumber, gidNumber and homeDirectory to a mail account IF we've
    choosen to use 'posixAccount' when creating user(s).
  * Spelling errors conserning attributes and defines fixed.
  * Predefine (empty) variables to get rid of errors.
  * Correctly process the next page/form to display in user_add.php.
    This depend largely on if we have an MX error or not.
  * Don't set 'host' to 'default' (in tables/user_add-details.inc) if we're not
    running in advanced mode. The host value will be figured out automaticly
    (in user_add.php)...
  * Rewrite the part that adds {User,Group}ID slightly. We use the
    PQL_CONF_FORWARDINGACCOUNT_UIDNUMBER value if it's a mail account, and
    generate a new value using pql_get_next_ugidnumber() if not.
  * The 'userhost' value which is/was generated by user_add.php might be
    an array containing the DNS entry and/or the QLC object(s). The DNS value
    is by default used, othervise the first QLC object.
  * If a define isn't set, the pql_get_define() will return an empty array with
    all rootdn's. Catch this, and return NULL if the define is unset.
  * Don't show the 'undefined variable' warnings if not running a CVS version.
  * Don't add the 'deliveryMode: localdelivery' if we're running with newer QmailLDAP.
  * To make sure we don't get 'Wrong datatype' in tables/user_add-additional.inc
    when checking if the mailHost is a DNS entry, we only look in the QLC
    array if there IS such an array.
  * Suidperl should no longer be used as interpreter in suid perl scripts.
  * For the autoAdd{HostName,RCPTHosts,Locals} stuff to work, the function
    pql_control_update_domains() needs to know the root dn (to be able to find
    the configuration value for the database suffix).
  * Spelling error - s/user_generate_mailstore/user_generate_homedir/.
  * Changing userNamePrefix managed to set the userNamePrefixLength instead.
    + Faulty use of variables in include/attrib.usernameprefix.inc.
  * Don't show the radio input for 'user specified MX' if it's our only option.
  * If the file '.DEBUG_ME' exists in the root directory, don't create domain/users.
    Instead, die with the LDIF that should have been added to the LDAP database.
  * Get the knowledge on what object classess to use when creating user(s) ONCE
    (from user_add.php instead of all over the place), and use this knowledge when
    deciding what input field to show
  * In case the 'user reference value' isn't availible when putting togheter
    the new users RDN, try to fallback to the 'uid' value. If that is also
    unset, die with a message... Best I can do!
  * De-internationalize the gecos attribute - it won't allow non-us characters!
  * Spelling error: s@if/elseif@ in two places where I'm about to call
    user_generate_{mailstore,homedir}(). This stoped the auto-generation of
    {home,mail} directories to use the UID value - CN/SN overwrote the previous
    set UID value.
  * When we can't find the root dn for some reason, i MUST have more information.
  * Make sure that the view is included in change/add locals/rcpthosts value(s)
    so that we end up in the Locals/RCPTHosts view again.
  * Only add the 'homeDirectory' attribute if we've choosen to use 'posixAccount'
    when creating a user - qmailUser allows homeDirectory, but it's not needed
    for mail accounts. Previous fix was wrong...

 -- Turbo Fredriksson <turbo@debian.org>  Wed,  5 May 2004 17:29:41 +0200

phpqladmin (2.0.18b-1) unstable; urgency=low

  * New config option - PQL_CONF_USE_TLS (true/false) which have to be true
    for ldap_start_tls() to take place.

 -- Turbo Fredriksson <turbo@debian.org>  Tue,  6 Apr 2004 08:26:51 +0200

phpqladmin (2.0.18-1) unstable; urgency=low

  * New release. IDNA encoding and smaller bugfixes.
  * Add japanese po-debconf template - patch by Hideki Yamane.
    Closes: #222286
  * New french debconf template
    Closes: #238013
  * Add Brazilian Portuguese po-debconf template - patch by Andre Luis Lopes.
    Closes: #231718

 -- Turbo Fredriksson <turbo@debian.org>  Sun,  4 Apr 2004 09:46:45 +0200

phpqladmin (2.0.17-1) unstable; urgency=low

  * New release. Lots of new features and functions...
  * Use po-debconf template translation.
    Closes: #210488
  * Add french po-debconf template.
    Closes: #210647

 -- Turbo Fredriksson <turbo@debian.org>  Thu,  2 Oct 2003 20:33:32 +0200

phpqladmin (2.0.16-1) unstable; urgency=low

  * New release. Lots of new features and functions...

 -- Turbo Fredriksson <turbo@debian.org>  Thu, 14 Aug 2003 15:49:45 +0200

phpqladmin (2.0.15-1) unstable; urgency=low

  * New release. Lots of new features and functions...

 -- Turbo Fredriksson <turbo@debian.org>  Tue, 15 Jul 2003 17:07:31 +0200

phpqladmin (2.0.14-1) unstable; urgency=low

  * New release. Lots of new features and functions...

 -- Turbo Fredriksson <turbo@debian.org>  Thu, 12 Jun 2003 22:36:40 +0200

phpqladmin (2.0.13-1) unstable; urgency=low

  * Initial Release.
    Closes: #191968

 -- Turbo Fredriksson <turbo@debian.org>  Mon,  5 May 2003 08:23:52 +0200

=== debian/control ===
Source: phpqladmin
Section: web
Priority: optional
Maintainer: Turbo Fredriksson <turbo@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0), po-debconf
Standards-Version: 3.5.10

Package: phpqladmin
Architecture: all
Depends: php4 | php4-cgi, php4-ldap | php4-ldap-cgi, php4-mhash | php4-mhash-cgi, php4-gd | php4-gd2, apache | httpd, wwwconfig-common (>= 0.0.7), debconf
Description: LDAP user administration interface
 Designed primarily for administration of a QmailLDAP user database,
 but also have EZMLM and QmailLDAP/Controls managers.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

INSTDIR=debian/phpqladmin/usr/share/phpqladmin
source = $(shell grep "^Source: " debian/control|head -1|sed 's/Source: \(.*\)/\1/g')
version = $(shell grep "^$(source) " debian/changelog|head -1 |sed 's/.*(\(.*\)\-[^\-]*).*/\1/g')
revision = $(shell grep "^$(source) " debian/changelog|head -1 |sed 's/.*([^\-]*\-\(.*\)).*/\1/g')

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/phpqladmin.
	@(echo -n "Instdir: $(INSTDIR): "; \
	  find | cpio -p $(INSTDIR); \
	  rm -Rf $(INSTDIR)/Makefile $(INSTDIR)/.version* \
		$(INSTDIR)/README.* $(INSTDIR)/manual \
		$(INSTDIR)/include/config.inc \
		$(INSTDIR)/phpQLadmin.log \
		$(INSTDIR)/validateEmailFormat-1.0; \
	  cp debian/apache.conf debian/phpqladmin/etc/phpqladmin; \
	  mv $(INSTDIR)/include/config.inc.CHANGE_ME debian/phpqladmin/etc/phpqladmin/config.inc; \
	  mv $(INSTDIR)/include/config_attributes.inc $(INSTDIR)/include/config_plugins.inc \
		$(INSTDIR)/include/defaults.inc debian/phpqladmin/etc/phpqladmin/; \
	  cd $(INSTDIR) && \
		find -type d -name CVS -o -name '.cvsignore' \
			-o -name '*~' -o -name '.#*' \
		| xargs rm -rf;\
	  rm -Rf debian; \
	  echo $(version)"-"$(revision)" (Debian GNU/Linux)" > .version; \
	  cd include; \
	  ln -s /etc/phpqladmin/config.inc config.inc; \
	  ln -s /etc/phpqladmin/config_attributes.inc config_attributes.inc; \
	  ln -s /etc/phpqladmin/config_plugins.inc config_plugins.inc; \
	  ln -s /etc/phpqladmin/defaults.inc defaults.inc; \
	)
	chmod -x debian/phpqladmin/etc/phpqladmin/*

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i

	dh_installdocs -i
	dh_installexamples -i
	dh_installcron -i
	dh_installchangelogs CHANGES
	dh_installdebconf -i

	dh_compress -i
	dh_fixperms -i

	(cd $(INSTDIR) && \
	  rm *-stamp *.schema; \
	  find -type f | xargs chmod 644)

	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i

	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## phpqladmin 2.0.19-1

=== debian/changelog ===
phpqladmin (2.0.19-1) unstable; urgency=low

  * New upstream version. Lots of small bugfixes (mainly de-globalization).

 -- Turbo Fredriksson <turbo@debian.org>  Sun, 14 Nov 2004 17:33:18 +0100

phpqladmin (2.0.18f-1) unstable; urgency=low

  * New upstream version.

 -- Turbo Fredriksson <turbo@debian.org>  Thu, 14 Oct 2004 13:06:51 +0200

phpqladmin (2.0.18d-1) unstable; urgency=low

  * De-globalize the 'reload left frame' value so that the reloading can
    acctually happen!
  * Don't show the minus image before 'no domains' (left-ezmlm.php) if there's
    no mailing lists to display
  * De-globalize ezmlm pages.
    If the 'maximum mailinglist count' is unset, then we're comparing
    'count > NULL' which will always be true. To go around this, use 'count + 1'
    as maximum value (will make the form continue).
  * Don't execute ezmlm commands if debug variable is true OR the file .DEBUG_ME
    exists.
  * Don't allow setting subscriber/rejected addresses when creating a ezmlm
    mailinglist. That part of the code is badly broken (fixing this in DEVEL instead).
  * Allow for reloading of the left frame when new list is create AND 'auto
    reload' is set to true/yes.
    + Do not reload the left frame just because a list have CHANGED!
  * Don't allow deletion of list from the domain lists list. Only from the list details.
  * When deleting a branch, only update the QLC objects (i.e. call pql_control_update_domains())
    if 'Use Controls DB' is set to TRUE. The function isn't availible if
    'Use Controls DB' is set to FALSE...
  * Don't execute ezmlm commands if debug variable is true OR the file .DEBUG_ME
    exists.
  * New option to list_forward() - the list number. This so that when modifying
    a specific list, we're forwarded to this list's details (and not the domain
    list list :).
  * Failure to auto generate {mail,home}Directory doesn't warrant a reload of
    the user data page. We should get to the next page, which will give the user
    a chance to input a correct value.
    Closes bug 186
  * Make sure that the 'tarball' target (used when releasing) removes any '.DEBUG_ME'
    file. That file should not be included. It's up to the user(s) to create...
  * PHP parse error in include/attrib.aci.inc fixed.
  * Use the URL encoded value of domain, rootdn and user in the hidden HTML values.
    This so that it (the value) will survive a form POST.

 -- Turbo Fredriksson <turbo@papadoc.bayour.com>  Tue, 25 May 2004 15:55:58 +0200

## phpqladmin 2.2.4-1

=== debian/changelog ===
phpqladmin (2.2.4-1) unstable; urgency=low

  * New upstream version
  * Move the db_stop command _AFTER_ (instead of before) the debhelper
    included stuff.
    Closes: #226751
  * Update the debhelper build depends to 4.0.2 (bug recomends 4.1.16, but
    4.0.2 should be ok).
    Closes: #302126, #308187
  * Czech debconf translation courtesy of Miroslav Kure.
    Closes: #293605

 -- Turbo Fredriksson <turbo@debian.org>  Sat, 14 May 2005 15:48:01 +0200

phpqladmin (2.2.3-1) unstable; urgency=low

  * New upstream version

 -- Turbo Fredriksson <turbo@debian.org>  Fri, 15 Apr 2005 09:24:12 +0200

phpqladmin (2.2.2-1) unstable; urgency=low

  * New upstream version.

 -- Turbo Fredriksson <turbo@debian.org>  Fri,  8 Apr 2005 07:46:27 +0200

phpqladmin (2.2.1-1) unstable; urgency=low

  * New upstream version.

 -- Turbo Fredriksson <turbo@debian.org>  Thu, 17 Mar 2005 10:13:22 +0100

phpqladmin (2.2.0-1) unstable; urgency=low

  * New stable upstream version.

 -- Turbo Fredriksson <turbo@debian.org>  Wed,  2 Mar 2005 12:50:09 +0100

=== debian/control ===
Source: phpqladmin
Section: web
Priority: optional
Maintainer: Turbo Fredriksson <turbo@debian.org>
Build-Depends-Indep: debhelper (>= 4.0.2), po-debconf
Standards-Version: 3.5.10

Package: phpqladmin
Architecture: all
Depends: php4 | php4-cgi, php4-ldap | php4-ldap-cgi, php4-mhash | php4-mhash-cgi, php4-gd2, apache | apache-ssl | apache2 | httpd, wwwconfig-common (>= 0.0.7), debconf
Recommends: php4-idn
Description: LDAP user administration interface
 Designed primarily for administration of a QmailLDAP user database,
 but also have EZMLM and QmailLDAP/Controls managers.

## phpqladmin 2.2.6-1

=== debian/changelog ===
phpqladmin (2.2.6-1) unstable; urgency=low

  * New upstream version

 -- Turbo Fredriksson <turbo@debian.org>  Mon, 22 Aug 2005 08:35:41 +0200

phpqladmin (2.2.5-1) unstable; urgency=low

  * New upstream version

 -- Turbo Fredriksson <turbo@debian.org>  Sat, 14 May 2005 20:05:33 +0200

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 	@(echo -n "Instdir: $(INSTDIR): "; \
 	  find | cpio -p $(INSTDIR); \
 	  rm -Rf $(INSTDIR)/Makefile $(INSTDIR)/.version* \
-		$(INSTDIR)/README.* $(INSTDIR)/manual \
+		$(INSTDIR)/doc/README.* $(INSTDIR)/manual \
 		$(INSTDIR)/include/config.inc \
 		$(INSTDIR)/phpQLadmin.log \
 		$(INSTDIR)/validateEmailFormat-1.0; \
@@ -76,14 +76,23 @@
 	dh_fixperms -i
 
 	(cd $(INSTDIR) && \
-	  rm *-stamp *.schema; \
-	  find -type f | xargs chmod 644)
+	  rm -f *-stamp *.schema .DEBUG_ME .cvsignore .version.old; \
+	  find -type f | xargs chmod 644; \
+	  chmod 755 scripts/*.pl scripts/*.sh)
 
 	dh_installdeb -i
 	dh_shlibdeps -i
 	dh_gencontrol -i
 
 	dh_md5sums -i
+
+	# Fix the templates for woody
+	(ver=`cat /etc/debian_version`; \
+	 if [ "$$ver" = "3.0" ]; then \
+	   cat debian/phpqladmin/DEBIAN/templates | sed 's@^_@@' > debian/phpqladmin/DEBIAN/templates.new; \
+	   mv debian/phpqladmin/DEBIAN/templates.new debian/phpqladmin/DEBIAN/templates; \
+	 fi)
+
 	dh_builddeb -i
 
 binary-arch: build install

## phpqladmin 2.2.8-2

=== Makefile ===
--- 
+++ 
@@ -32,27 +32,37 @@
 	  TAG="REL_`echo $$MAJOR`_`echo $$MINOR`_`echo $$LEVEL`"; \
 	  echo -n $(TAG) > .tag; \
 	  echo cvs tag: $$TAG; \
-	  cvs commit -m "New release - $$MAJOR.$$MINOR.$$LEVEL." \
-		.version .version.old CHANGES; \
 	  cvs tag -RF $$TAG; \
 	)
 
 install: $(INSTDIR)
 	@(echo -n "Instdir:   $(INSTDIR): "; find | cpio -p $(INSTDIR))
 
-tarball: install
-	@(rm -Rf $(INSTDIR)/Makefile $(INSTDIR)/.version.old \
+excludelist:
+	@(cd $(TMPDIR); \
+	  find -type d -name CVS -exec find {} \; \
+	    | sed 's@\./@@'  > exclude.list; \
+	  find -type f -name '.cvsignore' -o -name 'README.cvs' \
+	    -o -name '*.new' -o -name '*.orig' -o -name '*~' \
+	    -o -name '.#*' | sed 's@\./@@' >> exclude.list; \
+	  cat exclude.list | sort | uniq > new; \
+	  echo	$(INSTDIR)/Makefile $(INSTDIR)/.version.old \
 		$(INSTDIR)/manual $(INSTDIR)/include/config.inc \
-		$(INSTDIR)/phpQLadmin.log $(INSTDIR)/README.Monitor \
-		$(INSTDIR)/.DEBUG_ME; \
-	  cd $(INSTDIR) && find -type d -name CVS -o -name '.cvsignore' -o -name '*~' | \
-		xargs rm -rf; \
-	  echo -n "Tarball 1: $(TMPDIR)/phpQLAdmin-$(VERSION).tar.gz: "; \
+		$(INSTDIR)/phpQLadmin.log $(INSTDIR)/doc/README.Monitor \
+		$(INSTDIR)/.DEBUG_ME >> new; \
+	  mv new exclude.list; \
+	  cat exclude.list | xargs rm -rf)
+
+tarball: install excludelist
+	@(echo -n "Tarball 1: $(TMPDIR)/phpQLAdmin-$(VERSION).tar.gz: "; \
 	  cd $(TMPDIR) && tar -cz --exclude=README.cvs -f phpQLAdmin-$(VERSION).tar.gz phpQLAdmin-$(VERSION); \
 	  echo "done."; \
 	  echo -n "Tarball 2: $(TMPDIR)/phpQLAdmin-$(VERSION).tar.bz2: "; \
 	  cd $(TMPDIR) && tar -cj --exclude=README.cvs --exclude=debian \
 		-f phpQLAdmin-$(VERSION).tar.bz2 phpQLAdmin-$(VERSION); \
+	  echo "done."; \
+	  echo -n "ZIP file:  $(TMPDIR)/phpQLAdmin-$(VERSION).zip: "; \
+	  cd $(TMPDIR) && zip -r phpQLAdmin-$(VERSION).zip phpQLAdmin-$(VERSION) > /dev/null; \
 	  echo "done.")
 
 debian: install
@@ -62,22 +72,27 @@
 	  echo "Files is in: "$(DESTDIR))
 
 release: changes tag tarball debian
-	@(mv -v $(TMPDIR)/phpQLAdmin-$(VERSION).tar.gz /var/www/phpqladmin/; \
-	  mv -v $(TMPDIR)/phpQLAdmin-$(VERSION).tar.bz2 /var/www/phpqladmin/; \
-	  cat /var/www/phpqladmin/index.html.in | \
-		sed -e "s@%VERSION%@$(VERSION)@g" -e "s@%CVSTAG%@`cat .tag`@g" \
-		> /var/www/phpqladmin/index.html.out; \
-	  mv /var/www/phpqladmin/index.html.out /var/www/phpqladmin/index.html; \
-	  cp -v CHANGES /var/www/phpqladmin/CHANGES.txt; \
-	  cp -v $(DESTDIR)/../*.deb /var/www/phpqladmin; \
-	  rm .tag)
+	@(rcp -x $(TMPDIR)/phpQLAdmin-$(VERSION).tar.gz  aurora:/var/www/phpqladmin/; \
+	  rcp -x $(TMPDIR)/phpQLAdmin-$(VERSION).tar.bz2 aurora:/var/www/phpqladmin/; \
+	  rcp -x $(TMPDIR)/phpQLAdmin-$(VERSION).zip     aurora:/var/www/phpqladmin/; \
+	  rcp -x CHANGES aurora:/var/www/phpqladmin/CHANGES_devel.txt; \
+	  rcp -x $(TMPDIR)/*.deb *.dsc *.tar.gz *.changes aurora:/var/www/phpqladmin)
 
 $(INSTDIR):
 	@rm -f $(TMPDIR) && mkdir -p $(INSTDIR)
 
-changes:
+changes: version
 	@( \
 	  echo "Date: $(DATE)"; \
 	  cat CHANGES | sed "s@TO BE ANNOUNCED@Release \($(DATE)\)@" > CHANGES.new; \
 	  mv CHANGES.new CHANGES; \
+	  cvs commit -m "New release - `cat .version | sed 's@ .*@@'`" CHANGES .version; \
 	)
+
+version:
+	@(cat .version | sed 's@ (.*@@' > .version.new; \
+	  mv .version.new .version)
+
+clean:
+	@(find -name '*~' -o -name '.*~' -o -name '.#*' -o -name '#*' | \
+	  xargs --no-run-if-empty rm)

=== debian/changelog ===
phpqladmin (2.2.8-2) unstable; urgency=low

  * Add depends on debconf-2.0
    Closes: #332066
  * Add a link in /var/www pointing to /usr/share/phpqladmin.
    Closes: #348601
  * Remove the /usr/doc softlink.
    Closes: #359545
  * Add swedish debconf template - patch by Daniel Nylander.
    Closes: #332387
  * Add Portuguese debconf template - patch by Miguel Figueiredo.
    Closes: #336849

 -- Turbo Fredriksson <turbo@debian.org>  Fri, 19 May 2006 15:11:59 +0200

phpqladmin (2.2.8-1) unstable; urgency=low

  * New upstream version.
  * Fix mailReplyText -> Not an array!

 -- Turbo Fredriksson <turbo@debian.org>  Sun, 12 Mar 2006 15:30:48 +0100

phpqladmin (2.2.7-1) unstable; urgency=low

  * New upstream version.
  * Include Vietnamese translation for debconf by Clytie Siddall.
    Closes: #316843

 -- Turbo Fredriksson <turbo@debian.org>  Mon, 23 Jan 2006 11:29:53 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: phpqladmin
 Architecture: all
-Depends: php4 | php4-cgi, php4-ldap | php4-ldap-cgi, php4-mhash | php4-mhash-cgi, php4-gd2, apache | apache-ssl | apache2 | httpd, wwwconfig-common (>= 0.0.7), debconf
+Depends: php4 | php4-cgi, php4-ldap | php4-ldap-cgi, php4-mhash | php4-mhash-cgi, php4-gd2, apache | apache-ssl | apache2 | httpd, wwwconfig-common (>= 0.0.7), debconf | debconf-2.0
 Recommends: php4-idn
 Description: LDAP user administration interface
  Designed primarily for administration of a QmailLDAP user database,

## phpqladmin 2.2.8-2ubuntu1

=== debian/changelog ===
phpqladmin (2.2.8-2ubuntu1) feisty; urgency=low

  * Depends on PHP 5 packages (LP: 93934)
  * Update maintainer field in debian/control

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Thu, 12 Apr 2007 23:00:17 +0200

=== debian/rules ===
--- 
+++ 
@@ -58,6 +58,8 @@
 	  ln -s /etc/phpqladmin/config_attributes.inc config_attributes.inc; \
 	  ln -s /etc/phpqladmin/config_plugins.inc config_plugins.inc; \
 	  ln -s /etc/phpqladmin/defaults.inc defaults.inc; \
+	  cd $(INSTDIR)/../../../var/www; \
+	  ln -s /usr/share/phpqladmin .; \
 	)
 	chmod -x debian/phpqladmin/etc/phpqladmin/*

## phpqladmin 2.2.8-2.1ubuntu1

=== debian/changelog ===
phpqladmin (2.2.8-2.1ubuntu1) gutsy; urgency=low

  * Merge from Debian unstable, remaining Ubuntu changes:
    - Depends on PHP 5 packages
    - Update maintainer field in debian/control

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Tue,  1 May 2007 14:09:59 +0200

phpqladmin (2.2.8-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Debconf translations:
    - German. Closes: #404902, #410566
    - Galician. Closes: #413347
    - All PO files, except Japanese, converted to UTF-8

 -- Christian Perrier <bubulle@debian.org>  Wed,  7 Mar 2007 08:35:31 +0100

=== debian/control ===
Source: phpqladmin
Section: web
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Turbo Fredriksson <turbo@debian.org>
Build-Depends-Indep: debhelper (>= 4.0.2), po-debconf
Standards-Version: 3.5.10

Package: phpqladmin
Architecture: all
Depends: php5 | php5-cgi, php5-ldap, php5-mhash, php5-gd, apache | apache-ssl | apache2 | httpd, wwwconfig-common (>= 0.0.7), debconf | debconf-2.0
Recommends: php5-idn
Description: LDAP user administration interface
 Designed primarily for administration of a QmailLDAP user database,
 but also have EZMLM and QmailLDAP/Controls managers.
